package com.bc_chat.bc_base.contract


import com.bc_chat.bc_base.entity.FriendApplyRecordBean
import com.bc_chat.bc_base.entity.wallet.WithdrawRecordBean
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：群
 */

interface FriendApplyRecordContract {

    interface Presenter {

        fun applyFriendList(page_num: Int, page_size: Int)

        fun handleFriendApply(id: Int, state: Int)

    }

    interface View : BaseContract.BaseView {

        fun applyFriendListSuccess(dataList: List<FriendApplyRecordBean>?)

        fun applyFriendListFailure(exception: Exception?)

        fun handleFriendApplySuccess()

        fun handleFriendApplyFailure(exception: Exception?)
    }
}
